查询亚马逊源报表 - 移除订单(新)
POST
/erp/sc/routing/data/order/removalOrderListNew查询 Reports-Fulfillment-Removal Order Detail 报表 > 报表为seller_id维度,按sid请求会返回对应seller_id下所有移除订单数据,同一个seller_id授权的店铺任取一个sid请求报表数据即可
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/erp/sc/routing/data/order/removalOrderListNew | HTTPS | POST | 1 |
请求参数
sidinteger必填start_datestring必填end_datestring必填offsetintegerlengthintegersearch_field_timestring必填请求示例
{
"sid": 109,
"start_date": "2020-01-01",
"end_date": "2024-08-05",
"search_field_time": "last_updated_date",
"offset": 0,
"length": 1000
}
返回结果
Json Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
seller_idstring必填sidinteger必填regionstring必填request_datestring必填order_idstring必填order_typestring必填order_statusstring必填last_updated_datestring必填skustring必填fnskustring必填dispositionstring必填requested_quantitynumber必填cancelled_quantitynumber必填disposed_quantitynumber必填shipped_quantitynumber必填in_process_quantitynumber必填removal_feestring必填currencystring必填address_detailstring必填country_codestring必填local_skustring必填local_namestring必填totalinteger必填返回成功示例
{
"code": 0,
"message": "success",
"error_details": [],
"request_id": "B86AF260-2D3E-7C9C-777E-7B1DC54FE4AA",
"response_time": "2023-05-31 13:02:42",
"data": [{
"seller_id": "A1MQMW3JWPNXXX",
"sid":101,
"region": "na",
"request_date": "2023-04-21T00:48:17-07:00",
"order_id": "222113",
"order_type": "Return",
"order_status": "Completed",
"last_updated_date": "2023-04-25T08:02:19-07:00",
"sku": "a-111",
"fnsku": "B09MT3989X",
"disposition": "Sellable",
"requested_quantity": 2,
"cancelled_quantity": 2,
"disposed_quantity": 0,
"shipped_quantity": 0,
"in_process_quantity": 0,
"removal_fee": "0.0000",
"currency": "",
"address_detail": "1234aa,36003,Autauga Autaugaville66666,AL,美国"
}],
"total": 1
}